| Home | Libraries | People | FAQ | More

## Function template trim_all_copy

boost::algorithm::trim_all_copy — Trim All.

## Synopsis

    // In header: <boost/algorithm/string/trim_all.hpp>

    template<typename SequenceT>
      SequenceT trim_all_copy(const SequenceT & Input,
                              const std::locale & Loc = std::locale());

## Description

Remove all leading and trailing spaces from the input and compress all other spaces to a single character. The result is a trimmed copy of the input

Parameters: |
`Input` | An input sequence
`Loc` | A locale used for 'space' classification
Returns: | A trimmed copy of the input